## org.eclipse.emf.codegen.jet
Class JETBuilder

    java.lang.Object
      org.eclipse.core.internal.events.InternalBuilder
          org.eclipse.core.resources.IncrementalProjectBuilder
              org.eclipse.emf.codegen.jet.JETBuilder

All Implemented Interfaces:
  IExecutableExtension

    public class JETBuilder

extends IncrementalProjectBuilder

Field Summary

Fields inherited from class org.eclipse.core.resources.IncrementalProjectBuilder
`AUTO_BUILD, CLEAN_BUILD, FULL_BUILD, INCREMENTAL_BUILD`

Constructor Summary
`JETBuilder()` Creates a new instances.

Method Summary
`protected IProject[]` `build(int kind, java.util.Map arguments, IProgressMonitor monitor)`
`protected void` `fullBuild(IProgressMonitor monitor)` Does a full build.
`protected void` `incrementalBuild(IResourceDelta delta, IProgressMonitor monitor)` Does an incremental build.

Methods inherited from class org.eclipse.core.resources.IncrementalProjectBuilder
`clean, forgetLastBuiltState, getCommand, getDelta, getProject, getRule, hasBeenBuilt, isInterrupted, needRebuild, setInitializationData, startupOnInitialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JETBuilder

    public JETBuilder()

  Creates a new instances.

Method Detail

### build

    protected IProject[] build(int kind,
                               java.util.Map arguments,
                               IProgressMonitor monitor)
                        throws CoreException

  Specified by:
    `build` in class `IncrementalProjectBuilder`
  Throws:
    `CoreException`

### fullBuild

    protected void fullBuild(IProgressMonitor monitor)
                      throws CoreException

  Does a full build.

  Throws:
    `CoreException`

### incrementalBuild

    protected void incrementalBuild(IResourceDelta delta,
                                    IProgressMonitor monitor)
                             throws CoreException

  Does an incremental build.

  Throws:
    `CoreException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.